<?php

namespace Drupal\editoria11y\Form;

use Drupal\Core\Cache\Cache;
use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;
use Drupal\Editoria11y\Dashboard;
use Drupal\Editoria11y\src\Controller\DashboardController;

/**
 * Class DashboardFilters.
 */
class DashboardFilters extends FormBase
{

  /**
   * {@inheritdoc}
   */
    public function getFormId()
    {
        return 'editoria11y_form_dashboard';
    }

  /**
   * {@inheritdoc}
   */
    public function buildForm(array $form, FormStateInterface $form_state)
    {   
        $language = \Drupal::request()->query->get('lang');
        $dashboard = \Drupal::service('editoria11y.dashboard');
        $options = [false => "Select..."];
        $lang = "";
        $open = "";
        if ($language) {
            $lang = $dashboard->get_page_lang();
        }
        if (!empty($form_state->getValue('title')) | !empty($form_state->getValue('url')) | ($lang && $lang !== 'all')) {
            $open = true;
        }
        $links = $dashboard->get_language_filters();
        $form['filter'] = [
            '#title' => $this->t('Filter results'),
            '#type' => 'details',
            '#open' => $open
        ];
        $form['filter']['lang'] = [
            '#markup' => $links
        ];
        $form['filter']['title'] = [
            '#title'         => $this->t('Page title contains'),
            '#type'          => 'textfield'
            ];

        $form['filter']['url'] = [
            '#title'         => $this->t('Url contains'),
            '#type'          => 'textfield'
            ];
        $form['filter']['submit'] = [
        '#type'  => 'submit',
        '#value' => $this->t('Submit')
        ]
        ;

        return $form;
    }

  /**
   * {@inheritdoc}
   */
    public function validateForm(array &$form, FormStateInterface $form_state)
    {
        /*if ($form_state->getValue('fname') == "") {
            $form_state->setErrorByName('from', $this->t('You must enter a valid first name.'));
        } elseif ($form_state->getValue('marks') == "") {
            $form_state->setErrorByName('marks', $this->t('You must enter a valid to marks.'));
        }*/
    }
  /**
   * {@inheritdoc}
   */
    public function submitForm(array &$form, FormStateInterface $form_state)
    {
        //$field = $form_state->getValues();
        //$url = Url::fromRoute('editoria11y.reports_pages',['title' => $form_state->getValue('title'), 'url' => $form_state->getValue('url')]);
        /*$url = Url::fromRoute('editoria11y.reports_pages')
        ->setRouteParameter('title', $form_state->getValue('title'))
        ->setRouteParameter('url', $form_state->getValue('url'));*/
        //$form_state->setRedirectUrl($url);
    }

}
